clang-tools 10.0.0

Namespaces | Functions
QueryDriverDatabase.cpp File Reference
`#include "GlobalCompilationDatabase.h"`
`#include "Logger.h"`
`#include "Path.h"`
`#include "Trace.h"`
`#include "clang/Driver/Types.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/DenseMap.h"`
`#include "llvm/ADT/ScopeExit.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/ADT/iterator_range.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/Program.h"`
`#include "llvm/Support/Regex.h"`
`#include "llvm/Support/ScopedPrinter.h"`
`#include <algorithm>`
`#include <map>`
`#include <string>`
`#include <vector>`
Include dependency graph for QueryDriverDatabase.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Functions
std::unique_ptr< GlobalCompilationDatabase > | clang::clangd::getQueryDriverDatabase (llvm::ArrayRef< std::string > QueryDriverGlobs, std::unique_ptr< GlobalCompilationDatabase > Base)
| Extracts system include search path from drivers matching QueryDriverGlobs and adds them to the compile flags. More...